# Guidelines from https://docs.fedoraproject.org/en-US/packaging-guidelines/CMake/

Name: qcbor
Version: 1.5.0
Release: 0%{?dist}
Summary: The QCBOR library
URL: https://github.com/laurencelundblade/QCBOR
License: BSD
Source0: https://github.com/laurencelundblade/QCBOR/archive/refs/tags/v1.5.tar.gz

BuildRequires: cmake
BuildRequires: gcc

%description
Comprehensive, powerful, commercial-quality CBOR encoder and decoder
that is still suited for small devices. 


%package devel
Summary: Development files for the QCBOR library
Requires: %{name}%{?_isa} = %{version}
%description devel
Development files needed to build and link to the QCBOR library.


%prep
%setup -q -n QCBOR-1.5
%cmake -DBUILD_SHARED_LIBS=YES


%build
%cmake_build 

%install
%cmake_install


%check
%ctest


%files
%license LICENSE
%{_libdir}/*.so.*

%files devel
%license LICENSE
%doc README.md
%{_includedir}/qcbor
%{_libdir}/*.so


%changelog
